package fishrungames.yelpmapapp

import android.content.Context

import com.koushikdutta.ion.Ion

/**
 * Created by mephi on 09.06.2017.
 */

class DataProvider(val context: Context, val onUpdateMapMarkers : ((Map<String, MapMarkerRecord>) -> Unit)) {

    val yelpApiKey = "TFhv6H25FV25ETpIC64TmN1sZ98yLIK3-4IZ7-CFSaRIyO6Xo97n1uI5207vo3JA-gLgu1f_7dw4LLWrpAcVAELSVFwHxYDL2FEfwaheJ9WvjbgEbjd3ADWAkt46WXYx"

    fun requestData(lat : Double, lon : Double, radius : Int)
    {

        Ion.with(context)
                .load("https://api.yelp.com/v3/businesses/search?latitude=${lat}&longitude=${lon}&radius=${radius}")
                .addHeader("Authorization", "Bearer " + yelpApiKey)
                .asJsonObject()
                .setCallback { e, result ->

                    if (e != null)
                    {
                        return@setCallback
                    }

                    if (result == null)
                    {
                        return@setCallback
                    }

                    HandleResponseAsyncTask(onUpdateMapMarkers).execute(result)
                };


    }


}