package fishrungames.yelpmapapp

import com.google.maps.android.clustering.ClusterItem
import com.google.android.gms.maps.model.LatLng



/**
 * Created by mephi on 10.06.2017.
 */

class MapMarkerClusterItem(inMapMarkerRecord : MapMarkerRecord) : ClusterItem
{
    private val mPosition = LatLng(inMapMarkerRecord.coordinates.latitude, inMapMarkerRecord.coordinates.longitude)

    val mapMarkerRecord = inMapMarkerRecord

    override fun getPosition(): LatLng {
        return mPosition
    }
}